package fr.marouse.mapper;

import fr.marouse.dto.CompteDTO;
import fr.marouse.entity.Compte;

public class CompteMapper {

    public static CompteDTO toDTO(Compte entity) {
        if (entity == null) return null;

        CompteDTO dto = new CompteDTO();
        dto.setNumCompte(entity.getNumCompte());
        dto.setSolde(entity.getSolde());
        dto.setTypeCompte(entity.getTypeCompte());
        return dto;
    }

    public static Compte toEntity(CompteDTO dto) {
        if (dto == null) return null;

        Compte entity = new Compte();
        entity.setNumCompte(dto.getNumCompte());
        entity.setSolde(dto.getSolde());
        entity.setTypeCompte(dto.getTypeCompte());
        return entity;
    }
}